Transaction check error: conmon-2:2.0.8-3.rhaos4.3 conflicts with file from package cri-o-1.14.12-19.dev.rhaos4.2 during upgrade of RHEL7 on OCP4

Solution In Progress - Updated -

Issue

  • Since this is a package dependency issue in cri-o and podman, the upgrade of the RHEL7 worker node was failed from 4.2 to 4.3.
  • You can see the following messages during package installation.
Transaction check error:
  file /usr/libexec/crio/conmon from install of conmon-2:2.0.8-3.rhaos4.3.el7.x86_64 conflicts with file from package cri-o-1.14.12-19.dev.rhaos4.2.git313d784.el7.x86_64

Environment

  • OpenShift Container Platform
    • 4.2
    • 4.3
  • RHEL7

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In